API documentation

Download inventory file

Downloads the file of an inventory item as a binary stream. The file must be unlocked first.

GET/v1/inventory/{id}/download
GETDownload inventory file
curl -X GET "https://api.darkradar.com/api/public/v1/inventory/507f1f77bcf86cd799439011/download" \
  -H "x-api-key: $DARKRADAR_API_KEY"
Response

File download initiated

{
  "type": "file"
}

Access

Scopeinventory:read
Plan entitlementapi_access

Path parameters

FieldsValues
id · string · requiredUnique identifier of the inventory item · Example: 507f1f77bcf86cd799439011

Responses

200File download initiated
400Invalid request (malformed id, missing or invalid field)
401Key missing, invalid, expired or revoked
403Insufficient scope, no API access in plan, or product not enabled
404Record not found or not owned by this key’s firm
408The request exceeded its maximum response time
429Rate limit exceeded; retry after a minute

Response limits

Rate limit500 requests per 15 min · per IP

Was this page helpful?